Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Data Structures | Namespaces | Functions
Array.h File Reference
`#include <cstring>`
`#include "Lucene.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::ArrayData< TYPE >
class | Lucene::Array< TYPE >
| Utility template class to handle sharable arrays of simple data types. More...

## Namespaces

namespace | Lucene

## Functions

template<class TYPE>
std::size_t | Lucene::hash_value (const Array< TYPE > &value)
template<class TYPE>
bool | Lucene::operator== (const Array< TYPE > &value1, const Array< TYPE > &value2)

clucene.sourceforge.net